BTHOST(1)

NAME
bthost - look up Bluetooth host names and Protocol Service Multiplexor values

SYNOPSIS
bthost [-bhp] host_or_protocol

DESCRIPTION
The bthost utility looks for information about Bluetooth hosts and Protocol Service Multiplexor (PSM) values. It gets this information from the /etc/bluetooth/hosts and /etc/bluetooth/protocols files.

In host mode, it simply converts between the host names and Bluetooth addresses. The argument can be either a host name or a Bluetooth address. The program first attempts to interpret it as a Bluetooth address. If this fails, it will treat it as a host name. A Bluetooth address consists of six hex bytes separated by a colon, e.g., “01:02:03:04:05:06”. A host name consists of names separated by dots, e.g., “my.cell.phone”.

In protocol mode, it simply converts between the Protocol Service Multiplexor names and assigned numbers. The argument can be either a Protocol Service Multiplexor name or an assigned number. The program first attempts to interpret it as an assigned number.

The options are as follows:

-b  Produce brief output.

-h  Display usage message and exit.

-p  Activate protocol mode.

The bthost utility will print results to the standard output, and error messages to the standard error. An output can be quite different, here is an example that demonstrates all of the possibilities:

    % bthost localhost
    Host localhost has address FF:FF:FF:00:00:00
    % bthost ff:ff:ff:00:00:00
    Host FF:FF:FF:00:00:00 has name localhost
    % bthost -b localhost
    FF:FF:FF:00:00:00
    % bthost -b ff:ff:ff:00:00:00
    localhost
    % bthost do.not.exists
    do.not.exists: Unknown host
    % bthost 0:0:0:0:0:0
    00:00:00:00:00:00: Unknown host
    % bthost -p sdp
    Protocol/Service Multiplexor sdp has number 1
    % bthost -p 3
    Protocol/Service Multiplexor rfcomm has number 3
    % bthost -bp HID-Control
    17
    % bthost -p foo
    foo: Unknown Protocol/Service Multiplexor

FILES
/etc/bluetooth/hosts
/etc/bluetooth/protocols

EXIT STATUS

SEE ALSO
bluetooth(3), bluetooth.hosts(5), bluetooth.protocols(5)

AUTHORS
Maksim Yevmenkin <m_evmenkin@yahoo.com>